print("Ergebnis der Klassensprecherwahl\n")

#Einbinden der externen Datei
file = open("klassensprecher.csv","r")

#Einzelne Spalten der csv-Datei in Listen speichern
name = []
for x in file:
    #Der Zeilenumbruch aus der csv-Datei wird durch nichts ersetzt, damit in der #Liste die Einträge  nebeneinander stehen
    x = x.replace("\n","")
    name.append(x)

#Kandidaten ermitteln
kand = []
for x in name:
    if x not in kand:
        kand.append(x)
print("Es sind heuer",len(kand),"bei der Klassensprecherwahl angetreten")

#Ermitteln der Stimmen pro Kandidat
stimmen=[]

#Ich gehe von Kand aus und schaue  nach, wie oft der Kandidat in der Namensliste vorkommt
for x in kand:
    anz = name.count(x)
    stimmen.append(anz)
    
for x,y in zip(kand,stimmen):
    print(x,":",y)

sieger = max(stimmen)
#index der höchsten zahl ermittelt
nsieger = stimmen.index(sieger)

print(kand[nsieger],"hat mit",sieger,"Stimmen gewonnen"